#ifndef COMMON_H
#define COMMON_H

#include <iostream>
#include <string>
#include <cstdlib>

#define RANDSEED 3521

// NOTE: Although gaga can take other values, the three below are
//       required in order to use the GUI with gaga. This limitation
//       is related only to the display geometry and fixed number
//       of MEMBERS which will be displayed.
#define MEMBERS 10
#define GENOME_BITS 9
#define ENVIRONMENT_LENGTH 512

int power(int base, int n) ; // returns base^n
int genomeAsInteger(int bitsInArray, int* theMember) ;

#endif  //COMMON_H

